Bug 1344193 - rubygem-mysql2 not compatible with installed ruby version
Summary: rubygem-mysql2 not compatible with installed ruby version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-mysql2
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 06:21 UTC by nmorey
Modified: 2021-07-05 10:04 UTC (History)
3 users (show)

Fixed In Version: rubygem-mysql2-0.4.4-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:36:53 UTC
Type: Bug


Attachments (Terms of Use)

Description nmorey 2016-06-09 06:21:54 UTC
Description of problem:
The RPM mysql2 gem version available is NOT compatible with the ruby verson installed in Fedora 24.



Version-Release number of selected component (if applicable):
ruby-2.3.1-56.fc24.x86_64
rubygem-mysql2-0.4.0-3.fc24.x86_64


How reproducible:
All the time

Steps to Reproduce:
1. require 'mysql2'
2. Connect to a DB

Actual results:
When trying to connect to a MySQL database, this happens:
#<NameError: uninitialized constant Timeout::ExitException
Did you mean?  Exception>
#<NameError: uninitialized constant Timeout::ExitException
Did you mean?  Exception>
#<NameError: uninitialized constant Timeout::ExitException
Did you mean?  Exception>

Expected results:
No Error

Additional info:
This is fixed in the latest MySQL2 gem (gem install mysql2).
It was fixed by this commit:
https://github.com/brianmario/mysql2/commit/a4b04890d109e8405e756ad2d6c49d1614f6bcdf

Comment 1 Alex Chernyakhovsky 2016-06-09 06:30:32 UTC
Reassigning to msuchy as I am currently traveling and cannot get to this for a bit.

Comment 2 nmorey 2016-06-09 07:39:59 UTC
I don't know if it's related but using the latest gem (from gem install not the RPM, I get this)

[BUG] Segmentation fault at 0x00000000292031
ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-linux]

-- Control frame information -----------------------------------------------
c:0001 p:0000 s:0002 E:001010 (none) [FINISH]


-- Machine register context ------------------------------------------------
 RIP: 0x00007f9f3d6171d3 RBP: 0x00007ffcb713f720 RSP: 0x00007ffcb713f710
 RAX: 0x0000000000000000 RBX: 0x0000556bee19b190 RCX: 0x0000000000000002
 RDX: 0x0000000000000000 RDI: 0x0000000000292031 RSI: 0x0000000000000000
  R8: 0x0000556bed6b3be0  R9: 0x0000000000bbda88 R10: 0x00007ffcb713f7a8
 R11: 0x00007f9f45cefb58 R12: 0x0000556bee19b190 R13: 0x0000556bedc917e8
 R14: 0x0000556bede0d660 R15: 0x00007ffcb713f7d8 EFL: 0x0000000000010297

-- C level backtrace information -------------------------------------------
/lib64/libruby.so.2.3 [0x7f9f467e8e85]
/lib64/libruby.so.2.3 [0x7f9f467e90bc]
/lib64/libruby.so.2.3 [0x7f9f466c3ba4]
/lib64/libruby.so.2.3 [0x7f9f46774a3e]
/lib64/libpthread.so.0 [0x7f9f46449c10]
/usr/lib64/mysql/libmysqlclient.so.18(free_root+0x93) [0x7f9f3d6171d3]
/usr/lib64/mysql/libmysqlclient.so.18 [0x7f9f3d5dd555]
/usr/lib64/mysql/libmysqlclient.so.18 [0x7f9f3d5e02d7]
/usr/lib64/mysql/libmysqlclient.so.18(mysql_close+0x1c) [0x7f9f3d5e034c]
/home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so(nogvl_close+0x12) [0x7f9f3db316a2] client.c:215
/home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so(decr_mysql2_client+0x20) [0x7f9f3db33040] client.c:252
/lib64/libruby.so.2.3 [0x7f9f466dba41]
/lib64/libruby.so.2.3(rb_gc_call_finalizer_at_exit+0x2b7) [0x7f9f466e5d87]
/lib64/libruby.so.2.3(ruby_cleanup+0x3ea) [0x7f9f466ca86a]
/lib64/libruby.so.2.3(ruby_run_node+0x25) [0x7f9f466caaa5]
/usr/bin/ruby-mri [0x556beb76d93b]
/lib64/libc.so.6(__libc_start_main+0xf1) [0x7f9f45952731]
/usr/bin/ruby-mri(_start+0x29) [0x556beb76d969]

-- Other runtime information -----------------------------------------------

* Loaded script: /work1/nmorey/workspace/alternates/master/kalrayEnv/commands/updateEnv

* Loaded features:

    0 enumerator.so
    1 thread.rb
    2 rational.so
    3 complex.so
    4 /usr/lib64/ruby/enc/encdb.so
    5 /usr/lib64/ruby/enc/trans/transdb.so
    6 /usr/share/ruby/unicode_normalize.rb
    7 /usr/lib64/ruby/rbconfig.rb
    8 /usr/share/rubygems/rubygems/compatibility.rb
    9 /usr/share/rubygems/rubygems/defaults.rb
   10 /usr/share/rubygems/rubygems/deprecate.rb
   11 /usr/share/rubygems/rubygems/errors.rb
   12 /usr/share/rubygems/rubygems/version.rb
   13 /usr/share/rubygems/rubygems/requirement.rb
   14 /usr/share/rubygems/rubygems/platform.rb
   15 /usr/share/rubygems/rubygems/basic_specification.rb
   16 /usr/share/rubygems/rubygems/stub_specification.rb
   17 /usr/share/rubygems/rubygems/util/list.rb
   18 /usr/lib64/ruby/stringio.so
   19 /usr/share/rubygems/rubygems/specification.rb
   20 /usr/share/rubygems/rubygems/exceptions.rb
   21 /usr/share/rubygems/rubygems/defaults/operating_system.rb
   22 /usr/share/rubygems/rubygems/core_ext/kernel_gem.rb
   23 /usr/share/ruby/monitor.rb
   24 /usr/share/rubygems/rubygems/core_ext/kernel_require.rb
   25 /usr/share/rubygems/rubygems.rb
   26 /usr/share/rubygems/rubygems/path_support.rb
   27 /usr/share/rubygems/rubygems/dependency.rb
   28 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/version.rb
   29 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/core_ext/name_error.rb
   30 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/levenshtein.rb
   31 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/jaro_winkler.rb
   32 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkable.rb
   33 /usr/share/ruby/delegate.rb
   34 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/name_error_checkers/class_name_checker.rb
   35 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/name_error_checkers/variable_name_checker.rb
   36 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/name_error_checkers.rb
   37 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/method_name_checker.rb
   38 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/spell_checkers/null_checker.rb
   39 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean/formatter.rb
   40 /usr/share/gems/gems/did_you_mean-1.0.0/lib/did_you_mean.rb
   41 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Defines.rb
   42 /usr/share/ruby/psych/exception.rb
   43 /usr/share/ruby/psych/syntax_error.rb
   44 /usr/lib64/ruby/psych.so
   45 /usr/share/ruby/psych/omap.rb
   46 /usr/share/ruby/psych/set.rb
   47 /usr/share/ruby/psych/class_loader.rb
   48 /usr/lib64/ruby/strscan.so
   49 /usr/share/ruby/psych/scalar_scanner.rb
   50 /usr/share/ruby/psych/nodes/node.rb
   51 /usr/share/ruby/psych/nodes/stream.rb
   52 /usr/share/ruby/psych/nodes/document.rb
   53 /usr/share/ruby/psych/nodes/sequence.rb
   54 /usr/share/ruby/psych/nodes/scalar.rb
   55 /usr/share/ruby/psych/nodes/mapping.rb
   56 /usr/share/ruby/psych/nodes/alias.rb
   57 /usr/share/ruby/psych/nodes.rb
   58 /usr/share/ruby/psych/streaming.rb
   59 /usr/share/ruby/psych/visitors/visitor.rb
   60 /usr/share/ruby/psych/visitors/to_ruby.rb
   61 /usr/share/ruby/psych/visitors/emitter.rb
   62 /usr/share/ruby/psych/handler.rb
   63 /usr/share/ruby/psych/tree_builder.rb
   64 /usr/share/ruby/psych/visitors/yaml_tree.rb
   65 /usr/share/ruby/psych/json/ruby_events.rb
   66 /usr/share/ruby/psych/visitors/json_tree.rb
   67 /usr/share/ruby/psych/visitors/depth_first.rb
   68 /usr/share/ruby/psych/visitors.rb
   69 /usr/share/ruby/psych/parser.rb
   70 /usr/share/ruby/psych/coder.rb
   71 /usr/share/ruby/psych/core_ext.rb
   72 /usr/lib64/ruby/date_core.so
   73 /usr/share/ruby/date.rb
   74 /usr/share/ruby/psych/deprecated.rb
   75 /usr/share/ruby/psych/stream.rb
   76 /usr/share/ruby/psych/json/yaml_events.rb
   77 /usr/share/ruby/psych/json/tree_builder.rb
   78 /usr/share/ruby/psych/json/stream.rb
   79 /usr/share/ruby/psych/handlers/document_stream.rb
   80 /usr/share/ruby/psych.rb
   81 /usr/share/ruby/yaml.rb
   82 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/EnvOpts.rb
   83 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Config.rb
   84 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/VersionSelector.rb
   85 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Arch.rb
   86 /usr/lib64/ruby/bigdecimal.so
   87 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/version.rb
   88 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/error.rb
   89 /home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so
   90 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/result.rb
   91 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/client.rb
   92 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/field.rb
   93 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2/statement.rb
   94 /usr/share/ruby/timeout.rb
   95 /home/nmorey/.gem/ruby/gems/mysql2-0.4.4/lib/mysql2.rb
   96 /usr/share/ruby/uri/rfc2396_parser.rb
   97 /usr/share/ruby/uri/rfc3986_parser.rb
   98 /usr/share/ruby/uri/common.rb
   99 /usr/share/ruby/uri/generic.rb
  100 /usr/share/ruby/uri/ftp.rb
  101 /usr/share/ruby/uri/http.rb
  102 /usr/share/ruby/uri/https.rb
  103 /usr/share/ruby/uri/ldap.rb
  104 /usr/share/ruby/uri/ldaps.rb
  105 /usr/share/ruby/uri/mailto.rb
  106 /usr/share/ruby/uri.rb
  107 /usr/lib64/ruby/etc.so
  108 /usr/share/ruby/fileutils.rb
  109 /usr/share/ruby/tmpdir.rb
  110 /usr/share/ruby/tempfile.rb
  111 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/PackageDownloader.rb
  112 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/DBInterface.rb
  113 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Dependencies.rb
  114 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Confirm.rb
  115 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common/Package.rb
  116 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Common.rb
  117 /usr/lib64/ruby/pathname.so
  118 /usr/share/ruby/pathname.rb
  119 /usr/share/ruby/base64.rb
  120 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Core.rb
  121 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/Kalray.rb
  122 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/AccessCore.rb
  123 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/AccessCoreApps.rb
  124 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/AccessCoreEmbedded.rb
  125 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/AccessLib.rb
  126 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/Any.rb
  127 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/BoardTestSuite.rb
  128 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Buildroot.rb
  129 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1DebugV2.rb
  130 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1DevRuntimeV2.rb
  131 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1DevV2.rb
  132 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1EmbeddedRuntimeV2.rb
  133 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1EmbeddedV2.rb
  134 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1LLVM.rb
  135 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Last.rb
  136 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1LastDirty.rb
  137 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Libraries.rb
  138 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Linux.rb
  139 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1LinuxRelease.rb
  140 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1OpenCLAppsV2.rb
  141 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1OpenCLV2.rb
  142 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1OpenCV.rb
  143 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1RD.rb
  144 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1ReRuntimeV2.rb
  145 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1ReV2.rb
  146 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Req.rb
  147 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1RuntimeV2.rb
  148 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1Toolchain.rb
  149 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/K1V2.rb
  150 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/KalrayDev.rb
  151 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/ODP.rb
  152 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/TestSuite.rb
  153 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/TestSuiteRuntimeV2.rb
  154 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/Envs/TestSuiteV2.rb
  155 /work1/nmorey/.config/kalrayEnv/extras/CustomEnvs.rb
  156 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/accessors.rb
  157 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs/global.rb
  158 /work1/nmorey/workspace/alternates/master/kalrayEnv/KalrayEnvs.rb
  159 /usr/share/ruby/optparse.rb
  160 /usr/lib64/ruby/enc/utf_16le.so
  161 /usr/lib64/ruby/enc/utf_16be.so

* Process memory map:

556beb76d000-556beb76e000 r-xp 00000000 fd:05 11666384                   /usr/bin/ruby-mri
556beb96d000-556beb96e000 r--p 00000000 fd:05 11666384                   /usr/bin/ruby-mri
556beb96e000-556beb96f000 rw-p 00001000 fd:05 11666384                   /usr/bin/ruby-mri
556bed6b2000-556bee27d000 rw-p 00000000 00:00 0                          [heap]
7f9f1c000000-7f9f1c136000 rw-p 00000000 00:00 0 
7f9f1c136000-7f9f20000000 ---p 00000000 00:00 0 
7f9f24000000-7f9f24219000 rw-p 00000000 00:00 0 
7f9f24219000-7f9f28000000 ---p 00000000 00:00 0 
7f9f2a2d5000-7f9f2a2d6000 ---p 00000000 00:00 0 
7f9f2a2d6000-7f9f2a3d6000 rw-p 00000000 00:00 0 
7f9f2c000000-7f9f2c057000 rw-p 00000000 00:00 0 
7f9f2c057000-7f9f30000000 ---p 00000000 00:00 0 
7f9f34000000-7f9f341db000 rw-p 00000000 00:00 0 
7f9f341db000-7f9f38000000 ---p 00000000 00:00 0 
7f9f399dd000-7f9f39bdd000 r--s 00000000 fd:05 10879317                   /usr/lib64/libc-2.23.so
7f9f39bdd000-7f9f39f4f000 r--s 00000000 fd:05 11143766                   /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f9f39f4f000-7f9f3a1d4000 r--s 00000000 fd:05 10879302                   /usr/lib64/libruby.so.2.3.0
7f9f3a1d4000-7f9f3a1d5000 ---p 00000000 00:00 0 
7f9f3a1d5000-7f9f3a4d7000 rw-p 00000000 00:00 0 
7f9f3a4d7000-7f9f3a4d8000 ---p 00000000 00:00 0 
7f9f3a4d8000-7f9f3a6d9000 rw-p 00000000 00:00 0 
7f9f3a6d9000-7f9f3a6da000 ---p 00000000 00:00 0 
7f9f3a6da000-7f9f3a8db000 rw-p 00000000 00:00 0 
7f9f3a8db000-7f9f3a8dc000 r-xp 00000000 fd:05 11141882                   /usr/lib64/ruby/enc/utf_16be.so
7f9f3a8dc000-7f9f3aadc000 ---p 00001000 fd:05 11141882                   /usr/lib64/ruby/enc/utf_16be.so
7f9f3aadc000-7f9f3aadd000 r--p 00001000 fd:05 11141882                   /usr/lib64/ruby/enc/utf_16be.so
7f9f3aadd000-7f9f3aade000 rw-p 00000000 00:00 0 
7f9f3aade000-7f9f3aadf000 r-xp 00000000 fd:05 11141883                   /usr/lib64/ruby/enc/utf_16le.so
7f9f3aadf000-7f9f3acdf000 ---p 00001000 fd:05 11141883                   /usr/lib64/ruby/enc/utf_16le.so
7f9f3acdf000-7f9f3ace0000 r--p 00001000 fd:05 11141883                   /usr/lib64/ruby/enc/utf_16le.so
7f9f3ace0000-7f9f3ace1000 rw-p 00000000 00:00 0 
7f9f3ace1000-7f9f3ace7000 r-xp 00000000 fd:05 11143538                   /usr/lib64/ruby/pathname.so
7f9f3ace7000-7f9f3aee6000 ---p 00006000 fd:05 11143538                   /usr/lib64/ruby/pathname.so
7f9f3aee6000-7f9f3aee7000 r--p 00005000 fd:05 11143538                   /usr/lib64/ruby/pathname.so
7f9f3aee7000-7f9f3aee8000 rw-p 00000000 00:00 0 
7f9f3aee8000-7f9f3aeed000 r-xp 00000000 fd:05 11143473                   /usr/lib64/ruby/etc.so
7f9f3aeed000-7f9f3b0ed000 ---p 00005000 fd:05 11143473                   /usr/lib64/ruby/etc.so
7f9f3b0ed000-7f9f3b0ee000 r--p 00005000 fd:05 11143473                   /usr/lib64/ruby/etc.so
7f9f3b0ee000-7f9f3b0ef000 rw-p 00000000 00:00 0 
7f9f3b0ef000-7f9f3b0fa000 r-xp 00000000 fd:05 10882718                   /usr/lib64/libnss_files-2.23.so
7f9f3b0fa000-7f9f3b2f9000 ---p 0000b000 fd:05 10882718                   /usr/lib64/libnss_files-2.23.so
7f9f3b2f9000-7f9f3b2fa000 r--p 0000a000 fd:05 10882718                   /usr/lib64/libnss_files-2.23.so
7f9f3b2fa000-7f9f3b2fb000 rw-p 0000b000 fd:05 10882718                   /usr/lib64/libnss_files-2.23.so
7f9f3b2fb000-7f9f3b301000 rw-p 00000000 00:00 0 
7f9f3b301000-7f9f3b370000 r-xp 00000000 fd:05 10879948                   /usr/lib64/libpcre.so.1.2.6
7f9f3b370000-7f9f3b570000 ---p 0006f000 fd:05 10879948                   /usr/lib64/libpcre.so.1.2.6
7f9f3b570000-7f9f3b571000 r--p 0006f000 fd:05 10879948                   /usr/lib64/libpcre.so.1.2.6
7f9f3b571000-7f9f3b572000 rw-p 00070000 fd:05 10879948                   /usr/lib64/libpcre.so.1.2.6
7f9f3b572000-7f9f3b595000 r-xp 00000000 fd:05 10889117                   /usr/lib64/libselinux.so.1
7f9f3b595000-7f9f3b795000 ---p 00023000 fd:05 10889117                   /usr/lib64/libselinux.so.1
7f9f3b795000-7f9f3b796000 r--p 00023000 fd:05 10889117                   /usr/lib64/libselinux.so.1
7f9f3b796000-7f9f3b797000 rw-p 00024000 fd:05 10889117                   /usr/lib64/libselinux.so.1
7f9f3b797000-7f9f3b799000 rw-p 00000000 00:00 0 
7f9f3b799000-7f9f3b7b0000 r-xp 00000000 fd:05 10883712                   /usr/lib64/libresolv-2.23.so
7f9f3b7b0000-7f9f3b9af000 ---p 00017000 fd:05 10883712                   /usr/lib64/libresolv-2.23.so
7f9f3b9af000-7f9f3b9b0000 r--p 00016000 fd:05 10883712                   /usr/lib64/libresolv-2.23.so
7f9f3b9b0000-7f9f3b9b1000 rw-p 00017000 fd:05 10883712                   /usr/lib64/libresolv-2.23.so
7f9f3b9b1000-7f9f3b9b3000 rw-p 00000000 00:00 0 
7f9f3b9b3000-7f9f3b9b6000 r-xp 00000000 fd:05 10889154                   /usr/lib64/libkeyutils.so.1.5
7f9f3b9b6000-7f9f3bbb5000 ---p 00003000 fd:05 10889154                   /usr/lib64/libkeyutils.so.1.5
7f9f3bbb5000-7f9f3bbb6000 r--p 00002000 fd:05 10889154                   /usr/lib64/libkeyutils.so.1.5
7f9f3bbb6000-7f9f3bbb7000 rw-p 00000000 00:00 0 
7f9f3bbb7000-7f9f3bbc4000 r-xp 00000000 fd:05 10882745                   /usr/lib64/libkrb5support.so.0.1
7f9f3bbc4000-7f9f3bdc4000 ---p 0000d000 fd:05 10882745                   /usr/lib64/libkrb5support.so.0.1
7f9f3bdc4000-7f9f3bdc5000 r--p 0000d000 fd:05 10882745                   /usr/lib64/libkrb5support.so.0.1
7f9f3bdc5000-7f9f3bdc6000 rw-p 0000e000 fd:05 10882745                   /usr/lib64/libkrb5support.so.0.1
7f9f3bdc6000-7f9f3bddc000 r-xp 00000000 fd:05 10885922                   /usr/lib64/libgcc_s-6.1.1-20160510.so.1
7f9f3bddc000-7f9f3bfdb000 ---p 00016000 fd:05 10885922                   /usr/lib64/libgcc_s-6.1.1-20160510.so.1
7f9f3bfdb000-7f9f3bfdc000 r--p 00015000 fd:05 10885922                   /usr/lib64/libgcc_s-6.1.1-20160510.so.1
7f9f3bfdc000-7f9f3bfdd000 rw-p 00016000 fd:05 10885922                   /usr/lib64/libgcc_s-6.1.1-20160510.so.1
7f9f3bfdd000-7f9f3c00c000 r-xp 00000000 fd:05 10882721                   /usr/lib64/libk5crypto.so.3.1
7f9f3c00c000-7f9f3c20b000 ---p 0002f000 fd:05 10882721                   /usr/lib64/libk5crypto.so.3.1
7f9f3c20b000-7f9f3c20d000 r--p 0002e000 fd:05 10882721                   /usr/lib64/libk5crypto.so.3.1
7f9f3c20d000-7f9f3c20e000 rw-p 00030000 fd:05 10882721                   /usr/lib64/libk5crypto.so.3.1
7f9f3c20e000-7f9f3c211000 r-xp 00000000 fd:05 10887741                   /usr/lib64/libcom_err.so.2.1
7f9f3c211000-7f9f3c410000 ---p 00003000 fd:05 10887741                   /usr/lib64/libcom_err.so.2.1
7f9f3c410000-7f9f3c411000 r--p 00002000 fd:05 10887741                   /usr/lib64/libcom_err.so.2.1
7f9f3c411000-7f9f3c412000 rw-p 00003000 fd:05 10887741                   /usr/lib64/libcom_err.so.2.1
7f9f3c412000-7f9f3c4e7000 r-xp 00000000 fd:05 10879921                   /usr/lib64/libkrb5.so.3.3
7f9f3c4e7000-7f9f3c6e7000 ---p 000d5000 fd:05 10879921                   /usr/lib64/libkrb5.so.3.3
7f9f3c6e7000-7f9f3c6f6000 r--p 000d5000 fd:05 10879921                   /usr/lib64/libkrb5.so.3.3
7f9f3c6f6000-7f9f3c6f8000 rw-p 000e4000 fd:05 10879921                   /usr/lib64/libkrb5.so.3.3
7f9f3c6f8000-7f9f3c742000 r-xp 00000000 fd:05 10882251                   /usr/lib64/libgssapi_krb5.so.2.2
7f9f3c742000-7f9f3c942000 ---p 0004a000 fd:05 10882251                   /usr/lib64/libgssapi_krb5.so.2.2
7f9f3c942000-7f9f3c944000 r--p 0004a000 fd:05 10882251                   /usr/lib64/libgssapi_krb5.so.2.2
7f9f3c944000-7f9f3c945000 rw-p 0004c000 fd:05 10882251                   /usr/lib64/libgssapi_krb5.so.2.2
7f9f3c945000-7f9f3cabd000 r-xp 00000000 fd:05 10882249                   /usr/lib64/libstdc++.so.6.0.22
7f9f3cabd000-7f9f3ccbc000 ---p 00178000 fd:05 10882249                   /usr/lib64/libstdc++.so.6.0.22
7f9f3ccbc000-7f9f3ccc6000 r--p 00177000 fd:05 10882249                   /usr/lib64/libstdc++.so.6.0.22
7f9f3ccc6000-7f9f3ccc8000 rw-p 00181000 fd:05 10882249                   /usr/lib64/libstdc++.so.6.0.22
7f9f3ccc8000-7f9f3cccc000 rw-p 00000000 00:00 0 
7f9f3cccc000-7f9f3cf00000 r-xp 00000000 fd:05 10886007                   /usr/lib64/libcrypto.so.1.0.2h
7f9f3cf00000-7f9f3d0ff000 ---p 00234000 fd:05 10886007                   /usr/lib64/libcrypto.so.1.0.2h
7f9f3d0ff000-7f9f3d11b000 r--p 00233000 fd:05 10886007                   /usr/lib64/libcrypto.so.1.0.2h
7f9f3d11b000-7f9f3d128000 rw-p 0024f000 fd:05 10886007                   /usr/lib64/libcrypto.so.1.0.2h
7f9f3d128000-7f9f3d12c000 rw-p 00000000 00:00 0 
7f9f3d12c000-7f9f3d193000 r-xp 00000000 fd:05 10886090                   /usr/lib64/libssl.so.1.0.2h
7f9f3d193000-7f9f3d393000 ---p 00067000 fd:05 10886090                   /usr/lib64/libssl.so.1.0.2h
7f9f3d393000-7f9f3d397000 r--p 00067000 fd:05 10886090                   /usr/lib64/libssl.so.1.0.2h
7f9f3d397000-7f9f3d39e000 rw-p 0006b000 fd:05 10886090                   /usr/lib64/libssl.so.1.0.2h
7f9f3d39e000-7f9f3d3b3000 r-xp 00000000 fd:05 10887691                   /usr/lib64/libz.so.1.2.8
7f9f3d3b3000-7f9f3d5b2000 ---p 00015000 fd:05 10887691                   /usr/lib64/libz.so.1.2.8
7f9f3d5b2000-7f9f3d5b3000 r--p 00014000 fd:05 10887691                   /usr/lib64/libz.so.1.2.8
7f9f3d5b3000-7f9f3d5b4000 rw-p 00015000 fd:05 10887691                   /usr/lib64/libz.so.1.2.8
7f9f3d5b4000-7f9f3d8b5000 r-xp 00000000 fd:05 11143766                   /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f9f3d8b5000-7f9f3dab5000 ---p 00301000 fd:05 11143766                   /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f9f3dab5000-7f9f3dabd000 r--p 00301000 fd:05 11143766                   /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f9f3dabd000-7f9f3db23000 rw-p 00309000 fd:05 11143766                   /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f9f3db23000-7f9f3db2c000 rw-p 00000000 00:00 0 
7f9f3db2c000-7f9f3db3a000 r-xp 00000000 fd:03 658656                     /home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so
7f9f3db3a000-7f9f3dd3a000 ---p 0000e000 fd:03 658656                     /home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so
7f9f3dd3a000-7f9f3dd3c000 r--p 0000e000 fd:03 658656                     /home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so
7f9f3dd3c000-7f9f3dd3d000 rw-p 00000000 00:00 0 
7f9f3dd3d000-7f9f3dd4e000 r-xp 00000000 fd:05 919217                     /usr/lib64/gems/ruby/bigdecimal-1.2.8/bigdecimal.so
7f9f3dd4e000-7f9f3df4d000 ---p 00011000 fd:05 919217                     /usr/lib64/gems/ruby/bigdecimal-1.2.8/bigdecimal.so
7f9f3df4d000-7f9f3df4e000 r--p 00010000 fd:05 919217                     /usr/lib64/gems/ruby/bigdecimal-1.2.8/bigdecimal.so
7f9f3df4e000-7f9f3df4f000 rw-p 00011000 fd:05 919217                     /usr/lib64/gems/ruby/bigdecimal-1.2.8/bigdecimal.so
7f9f3df4f000-7f9f3df7d000 r-xp 00000000 fd:05 11141224                   /usr/lib64/ruby/date_core.so
7f9f3df7d000-7f9f3e17d000 ---p 0002e000 fd:05 11141224                   /usr/lib64/ruby/date_core.so
7f9f3e17d000-7f9f3e17f000 r--p 0002e000 fd:05 11141224                   /usr/lib64/ruby/date_core.so
7f9f3e17f000-7f9f3e180000 rw-p 00030000 fd:05 11141224                   /usr/lib64/ruby/date_core.so
7f9f3e180000-7f9f3e181000 rw-p 00000000 00:00 0 
7f9f3e181000-7f9f3e186000 r-xp 00000000 fd:05 11143699                   /usr/lib64/ruby/strscan.so
7f9f3e186000-7f9f3e385000 ---p 00005000 fd:05 11143699                   /usr/lib64/ruby/strscan.so
7f9f3e385000-7f9f3e386000 r--p 00004000 fd:05 11143699                   /usr/lib64/ruby/strscan.so
7f9f3e386000-7f9f3e387000 rw-p 00000000 00:00 0 
7f9f3e387000-7f9f3e3a5000 r-xp 00000000 fd:05 10879862                   /usr/lib64/libyaml-0.so.2.0.4
7f9f3e3a5000-7f9f3e5a4000 ---p 0001e000 fd:05 10879862                   /usr/lib64/libyaml-0.so.2.0.4
7f9f3e5a4000-7f9f3e5a5000 r--p 0001d000 fd:05 10879862                   /usr/lib64/libyaml-0.so.2.0.4
7f9f3e5a5000-7f9f3e5a6000 rw-p 00000000 00:00 0 
7f9f3e5a6000-7f9f3e5ac000 r-xp 00000000 fd:05 11143704                   /usr/lib64/gems/ruby/psych-2.0.17/psych.so
7f9f3e5ac000-7f9f3e7ab000 ---p 00006000 fd:05 11143704                   /usr/lib64/gems/ruby/psych-2.0.17/psych.so
7f9f3e7ab000-7f9f3e7ac000 r--p 00005000 fd:05 11143704                   /usr/lib64/gems/ruby/psych-2.0.17/psych.so
7f9f3e7ac000-7f9f3e7ad000 rw-p 00000000 00:00 0 
7f9f3e7ad000-7f9f3e7b4000 r-xp 00000000 fd:05 11143698                   /usr/lib64/ruby/stringio.so
7f9f3e7b4000-7f9f3e9b3000 ---p 00007000 fd:05 11143698                   /usr/lib64/ruby/stringio.so
7f9f3e9b3000-7f9f3e9b4000 r--p 00006000 fd:05 11143698                   /usr/lib64/ruby/stringio.so
7f9f3e9b4000-7f9f3e9b5000 rw-p 00000000 00:00 0 
7f9f3e9b5000-7f9f3e9b7000 r-xp 00000000 fd:05 11141879                   /usr/lib64/ruby/enc/trans/transdb.so
7f9f3e9b7000-7f9f3ebb7000 ---p 00002000 fd:05 11141879                   /usr/lib64/ruby/enc/trans/transdb.so
7f9f3ebb7000-7f9f3ebb8000 r--p 00002000 fd:05 11141879                   /usr/lib64/ruby/enc/trans/transdb.so
7f9f3ebb8000-7f9f3ebb9000 rw-p 00000000 00:00 0 
7f9f3ebb9000-7f9f3ebbb000 r-xp 00000000 fd:05 11141761                   /usr/lib64/ruby/enc/encdb.so
7f9f3ebbb000-7f9f3edba000 ---p 00002000 fd:05 11141761                   /usr/lib64/ruby/enc/encdb.so
7f9f3edba000-7f9f3edbb000 r--p 00001000 fd:05 11141761                   /usr/lib64/ruby/enc/encdb.so
7f9f3edbb000-7f9f3edbc000 rw-p 00000000 00:00 0 
7f9f3edbc000-7f9f4572f000 r--p 00000000 fd:05 7217211                    /usr/lib/locale/locale-archive
7f9f4572f000-7f9f45731000 r-xp 00000000 fd:05 10879533                   /usr/lib64/libfreebl3.so
7f9f45731000-7f9f45930000 ---p 00002000 fd:05 10879533                   /usr/lib64/libfreebl3.so
7f9f45930000-7f9f45931000 r--p 00001000 fd:05 10879533                   /usr/lib64/libfreebl3.so
7f9f45931000-7f9f45932000 rw-p 00002000 fd:05 10879533                   /usr/lib64/libfreebl3.so
7f9f45932000-7f9f45aeb000 r-xp 00000000 fd:05 10879317                   /usr/lib64/libc-2.23.so
7f9f45aeb000-7f9f45ceb000 ---p 001b9000 fd:05 10879317                   /usr/lib64/libc-2.23.so
7f9f45ceb000-7f9f45cef000 r--p 001b9000 fd:05 10879317                   /usr/lib64/libc-2.23.so
7f9f45cef000-7f9f45cf1000 rw-p 001bd000 fd:05 10879317                   /usr/lib64/libc-2.23.so
7f9f45cf1000-7f9f45cf5000 rw-p 00000000 00:00 0 
7f9f45cf5000-7f9f45dfe000 r-xp 00000000 fd:05 10882438                   /usr/lib64/libm-2.23.so
7f9f45dfe000-7f9f45ffd000 ---p 00109000 fd:05 10882438                   /usr/lib64/libm-2.23.so
7f9f45ffd000-7f9f45ffe000 r--p 00108000 fd:05 10882438                   /usr/lib64/libm-2.23.so
7f9f45ffe000-7f9f45fff000 rw-p 00109000 fd:05 10882438                   /usr/lib64/libm-2.23.so
7f9f45fff000-7f9f46006000 r-xp 00000000 fd:05 10879353                   /usr/lib64/libcrypt-2.23.so
7f9f46006000-7f9f46205000 ---p 00007000 fd:05 10879353                   /usr/lib64/libcrypt-2.23.so
7f9f46205000-7f9f46206000 r--p 00006000 fd:05 10879353                   /usr/lib64/libcrypt-2.23.so
7f9f46206000-7f9f46207000 rw-p 00007000 fd:05 10879353                   /usr/lib64/libcrypt-2.23.so
7f9f46207000-7f9f46235000 rw-p 00000000 00:00 0 
7f9f46235000-7f9f46238000 r-xp 00000000 fd:05 10882300                   /usr/lib64/libdl-2.23.so
7f9f46238000-7f9f46437000 ---p 00003000 fd:05 10882300                   /usr/lib64/libdl-2.23.so
7f9f46437000-7f9f46438000 r--p 00002000 fd:05 10882300                   /usr/lib64/libdl-2.23.so
7f9f46438000-7f9f46439000 rw-p 00003000 fd:05 10882300                   /usr/lib64/libdl-2.23.so
7f9f46439000-7f9f46450000 r-xp 00000000 fd:05 10879037                   /usr/lib64/libpthread-2.23.so
7f9f46450000-7f9f4664f000 ---p 00017000 fd:05 10879037                   /usr/lib64/libpthread-2.23.so
7f9f4664f000-7f9f46650000 r--p 00016000 fd:05 10879037                   /usr/lib64/libpthread-2.23.so
7f9f46650000-7f9f46651000 rw-p 00017000 fd:05 10879037                   /usr/lib64/libpthread-2.23.so
7f9f46651000-7f9f46655000 rw-p 00000000 00:00 0 
7f9f46655000-7f9f468c7000 r-xp 00000000 fd:05 10879302                   /usr/lib64/libruby.so.2.3.0
7f9f468c7000-7f9f46ac6000 ---p 00272000 fd:05 10879302                   /usr/lib64/libruby.so.2.3.0
7f9f46ac6000-7f9f46acc000 r--p 00271000 fd:05 10879302                   /usr/lib64/libruby.so.2.3.0
7f9f46acc000-7f9f46acf000 rw-p 00277000 fd:05 10879302                   /usr/lib64/libruby.so.2.3.0
7f9f46acf000-7f9f46ae0000 rw-p 00000000 00:00 0 
7f9f46ae0000-7f9f46b03000 r-xp 00000000 fd:05 10887764                   /usr/lib64/ld-2.23.so
7f9f46b95000-7f9f46bd3000 r--s 00000000 fd:03 658656                     /home/nmorey/.gem/ruby/extensions/x86_64-linux/2.3.0/mysql2-0.4.4/mysql2/mysql2.so
7f9f46bd3000-7f9f46bf6000 r--s 00000000 fd:05 10879037                   /usr/lib64/libpthread-2.23.so
7f9f46bf6000-7f9f46bf8000 r--s 00000000 fd:05 11666384                   /usr/bin/ruby-mri
7f9f46bf8000-7f9f46bf9000 ---p 00000000 00:00 0 
7f9f46bf9000-7f9f46d03000 rw-p 00000000 00:00 0 
7f9f46d03000-7f9f46d04000 r--p 00023000 fd:05 10887764                   /usr/lib64/ld-2.23.so
7f9f46d04000-7f9f46d05000 rw-p 00024000 fd:05 10887764                   /usr/lib64/ld-2.23.so
7f9f46d05000-7f9f46d06000 rw-p 00000000 00:00 0 
7ffcb6945000-7ffcb7144000 rw-p 00000000 00:00 0                          [stack]
7ffcb7144000-7ffcb7147000 r--p 00000000 00:00 0                          [vvar]
7ffcb7147000-7ffcb7149000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]


[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Comment 3 Fedora Update System 2016-06-09 08:38:45 UTC
rubygem-mysql2-0.4.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-030da42fe2

Comment 4 Fedora Update System 2016-06-09 16:55:38 UTC
rubygem-mysql2-0.4.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-030da42fe2

Comment 5 nmorey 2016-06-10 08:14:01 UTC
Timeout error is fixed with rubygem-mysql2-0.4.4-1.fc24.x86_64

However I still have the SEGV issue shown in comment #2
Problably a bug in he mysql gem.

Comment 6 Fedora Update System 2016-06-18 18:36:50 UTC
rubygem-mysql2-0.4.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Xavier Raynaud 2021-06-28 13:55:22 UTC
For posterity and nmorey:

The error comes from serialization.
The class DBInterface is serialized in yaml.

When deserialized, it seems that a Mysql2::Client instance was (incorrectly) created.
At the end of the process, this incorrect instance of Mysql2::Client is finalized, and the crash occurs.

Comment 8 nmorey 2021-07-05 10:04:13 UTC
Can't really test this anymore but thanks for the update :)


Note You need to log in before you can comment on or make changes to this bug.